VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Pages: 1 ... 3 4 [5]

Author Topic: 070410 - GNOME 2.18.0  (Read 33179 times)

Klinggon22

  • Member
  • *
  • Posts: 10
Re: 070410 - GNOME 2.18.0
« Reply #60 on: June 06, 2007, 12:58:39 pm »

Ok I am new to vl and trying to find out how do i enable the testing repository as well as the patches repository

in slapt-get??
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: 070410 - GNOME 2.18.0
« Reply #61 on: June 06, 2007, 01:13:01 pm »

@ easuter: Yes, it only happens on a VNC session. My guess is that it's a conflict between Vino and TightVNC

I'm not sure it's setting it to any kind of layout, it's just really messed up

for example, when I hit the keys "test" on my keyboard, the screen shows "ngbn". and FWIW, the Vino VNC doesn't work...

And the keyboard settings on the system menu should work, (it defaults to a 105 key US keyboard (with win keys)). Changing that to a different keybd doesn't work either
« Last Edit: June 06, 2007, 01:25:59 pm by M0E-lnx »
Logged

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #62 on: June 06, 2007, 01:25:35 pm »

Quote
for example, when I hit the keys "test" on my keyboard, the screen shows "ngbn".

I see.... :o

AFAIK, Vino is a VNC server designed to fit into GNOME, for example: http://swik.net/vino

Try removing the package and see if that fixes anything.
Logged

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #63 on: June 06, 2007, 01:28:08 pm »

Ok I am new to vl and trying to find out how do i enable the testing repository as well as the patches repository

in slapt-get??

Open /etc/slapt-get/slapt-getrc as root in a terminal, and then add these lines to the end of the file:

Code: [Select]
SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/testing/
SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/patches/

Save the file, and then refresh the package list, using GSlapt if you prefer. After that search for the package called gnomemeta and install it.
Logged

Klinggon22

  • Member
  • *
  • Posts: 10
Re: 070410 - GNOME 2.18.0
« Reply #64 on: June 06, 2007, 01:36:07 pm »

Thanks alot for the quick reply "easuter" it is much appreciated..
Logged

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #65 on: June 06, 2007, 04:42:04 pm »

Moe, the problem you are experiencing is a bug in Vino. I'm trying to determine if this bug has been fixed with the latest release (2.18.1) because there is no mention of it in the changelog.

I'll have a fixed package at the latest by tomorrow morning.

This is the official bug report if your interested:

http://bugzilla.gnome.org/show_bug.cgi?id=440429
Logged

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #66 on: June 06, 2007, 07:31:55 pm »

The Vino 2.18.1 package is in the testing repo. I had to patch the sources anyway because this problem was still not fixed in the new release

Source: http://vectorlinux.osuosl.org/veclinux-5.8/source/testing/gnome/vino/
Package: http://vectorlinux.osuosl.org/veclinux-5.8/testing/gnome/vino-2.18.1-i586-1vl58.tlz

You will need to grab the new Vino package with slapt-get since it also requires a gnutls upgrade from the repo.

Let me know if it works so I can move it to to the extra/ repository!  :)
« Last Edit: June 07, 2007, 05:58:43 am by easuter »
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: 070410 - GNOME 2.18.0
« Reply #67 on: June 07, 2007, 05:34:37 am »

I've upgraded the vino package and it's deps, but the bug is still there...

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #68 on: June 07, 2007, 05:58:23 am »

I've upgraded the vino package and it's deps, but the bug is still there...


In that case I'll have to get in touch with some of the GNOME devs on the mailing lists....
Logged

kazuya

  • Vectorite
  • ***
  • Posts: 104
Re: 070410 - GNOME 2.18.0
« Reply #69 on: June 07, 2007, 06:17:24 am »

wonderful add-on. Loving it.
Logged

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #70 on: June 07, 2007, 10:57:19 am »

Moe, can you tell me what are the contents of your ~/.vnc directory please. There may be a workaround for this that doesn't require more package rebuilding/patching.
Logged

M0E-lnx

  • Administrator
  • Vectorian
  • *****
  • Posts: 3258
Re: 070410 - GNOME 2.18.0
« Reply #71 on: June 07, 2007, 11:00:36 am »

Code: [Select]
moe:$ ls -al ~/.vnc
drwx------  2 moe moe 4096 2007-06-07 08:45 ./
drwxr-xr-x 44 moe moe 4096 2007-06-07 11:20 ../
-rw-r--r--  1 moe moe 3443 2007-06-07 11:20 Dynamite7:1.log
-rw-r--r--  1 moe moe    6 2007-06-07 08:45 Dynamite7:1.pid
-rw-r--r--  1 moe moe  901 2007-06-04 09:25 Dynamite7:3.log
-rw-------  1 moe moe    8 2007-06-01 07:49 passwd
-rwxr-xr-x  1 moe moe  124 2007-06-01 07:49 xstartup*
Quote
moe:$ cat ~/.vnc/xstartup
#!/bin/sh

xrdb $HOME/.Xresources
xsetroot -solid grey
xterm -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &
twm &

easuter

  • Global Moderator
  • Vectorian
  • *****
  • Posts: 2160
Re: 070410 - GNOME 2.18.0
« Reply #72 on: June 11, 2007, 08:38:50 am »

Caitlyn reported that the GNOME upgrades (like GTK and PyGTK) are causing breakages in python related apps, like Wifi-Radar (an possible Exaile too):

http://www.vectorlinux.com/forum2/index.php?topic=3299.msg20513#msg20513

Could those who use GNOME please test Wifi-Radar and see if its working?
Logged
Pages: 1 ... 3 4 [5]